import { RefreshMode } from '../IPropertiesService.js';
import { IProperty } from '../IProperty.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { ValueType } from '../ValueType.js';
import { IBinding } from "../../../item/IBinding.js";
import { BindingTarget } from '../../../item/BindingTarget.js';
import { IPropertyGroup } from '../IPropertyGroup.js';
import { AbstractPropertiesService } from './AbstractPropertiesService.js';
export declare class AttributesPropertiesService extends AbstractPropertiesService {
    name: string;
    getRefreshMode(designItem: IDesignItem): RefreshMode;
    isHandledElement(designItem: IDesignItem): boolean;
    getProperty(designItem: IDesignItem, name: string): Promise<IProperty>;
    getProperties(designItem: IDesignItem): Promise<IProperty[] | IPropertyGroup[]>;
    setValue(designItems: IDesignItem[], property: IProperty, value: any): Promise<void>;
    getPropertyTarget(designItem: IDesignItem, property: IProperty): BindingTarget;
    clearValue(designItems: IDesignItem[], property: IProperty): void;
    isSet(designItems: IDesignItem[], property: IProperty): ValueType;
    getValue(designItems: IDesignItem[], property: IProperty): string;
    getBinding(designItems: IDesignItem[], property: IProperty): IBinding;
    getUnsetValue(designItems: IDesignItem[], property: IProperty): any;
}
